Subject: bug#4375: 23.1.50; can't kill killed gud buffer

From: Robert Marshall <[email-masked]>
Date: Thu, 10 Sep 2009 15:28:35 +0100

Nick Roberts wrote:
>  > Though with these changes after I've quit the debugger and attempt to close
>  > emacs, I get the following message
>  > 
>  > Active processes exist; kill them and exit anyway...
>  > 
>  > Proc         Status   Buffer   Tty      Command
>  > ----         ------   ------   ---      -------
>  > gdb-inferior run      (Killed) /dev/pts/3
>  > 
>  > Do you want a new bug for this?
>
> I only see this now if I kill the I/O buffer directly.  Do you still see it if
> you kill the GUD buffer (as recommended in the manual to kill all the buffers
> associated with the session)?
>
>   

No I don't see it in this case - previously I'd left the *gud... buffer 
still open

> If so, did you recompile both gdb-mi.el and gud.el before you loaded them?
>
> I need to handle killing the I/O buffer directly and I'll look into it when I
> have time.
>
>   
OK.

What I'm also seeing is is an error when I've placed a break point
Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  propertize(nil font-lock-face font-lock-function-name-face)
  gdb-breakpoints-list-handler-custom()
  gdb-breakpoints-list-handler()
  apply(gdb-breakpoints-list-handler nil)
...
if you don't easily see this I will open another bug.

Robert

-- 
Robert A J Marshall,  
TNEI Services Ltd, 86-90 London Road, Manchester, M1 2PW 
Registered in England & Wales No. 03891836,
Registered office:  Milburn House, Dean Street, Newcastle upon Tyne, NE1 1LE
web: http://IPSA-Power.com